View Issue Details

IDProjectCategoryView StatusLast Update
0000061WolfAdminGeneralpublic2019-01-03 11:11
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000061: Standalone mode
DescriptionContainer issue for everything related to WolfAdmin being the only admin system running on a server, e.g. basic admin commands, mute/kick/ban system and such.
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Relationships

parent of 0000055 resolvedTimo Store mutes, kicks, warns and bans in the database 
parent of 0000062 resolvedTimo Provide basic admin commands 
parent of 0000069 resolvedTimo Provide alternative to shrubbot 
child of 0000046 resolvedTimo Support other mods 

Activities

Timo

2018-02-15 13:38

administrator   ~0000113

Improvement: check whether it is possible to autodetect shrubbot and run in add-on mode (with ability to override).

Timo

2018-12-31 11:18

administrator   ~0000115

With a separate ACL system in place and having implemented most of shrubbots features, I think it's time to mark this issue as resolved.

Related Changesets

WolfAdmin: develop/1.2.0 e745fe4c

2016-09-04 22:28:57

Timo

Details Diff
Implemented setting player level (issue 0000061, 0000062) Affected Issues
0000061, 0000062
mod - luascripts/admin/admin.lua Diff File
mod - luascripts/commands/admin/setlevel.lua Diff File
mod - luascripts/db/mysql.lua Diff File
mod - luascripts/db/sqlite3.lua Diff File

WolfAdmin: develop/1.2.0 9fdd36e7

2017-01-21 17:11:32

Timo

Details Diff
Reworked some commands to disable them when in standalone mode (refs 0000061, 0000062) Affected Issues
0000061, 0000062
mod - luamods/wolfadmin/commands/admin/admintest.lua Diff File
mod - luamods/wolfadmin/commands/admin/ban.lua Diff File
mod - luamods/wolfadmin/commands/admin/finger.lua Diff File
mod - luamods/wolfadmin/commands/admin/gib.lua Diff File
mod - luamods/wolfadmin/commands/admin/help.lua Diff File
mod - luamods/wolfadmin/commands/admin/kick.lua Diff File
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff File
mod - luamods/wolfadmin/commands/admin/listplayers.lua Diff File
mod - luamods/wolfadmin/commands/admin/lock.lua Diff File
mod - luamods/wolfadmin/commands/admin/mute.lua Diff File
mod - luamods/wolfadmin/commands/admin/nextmap.lua Diff File
mod - luamods/wolfadmin/commands/admin/pause.lua Diff File
mod - luamods/wolfadmin/commands/admin/put.lua Diff File
mod - luamods/wolfadmin/commands/admin/readconfig.lua Diff File
mod - luamods/wolfadmin/commands/admin/reset.lua Diff File
mod - luamods/wolfadmin/commands/admin/restart.lua Diff File
mod - luamods/wolfadmin/commands/admin/setlevel.lua Diff File
mod - luamods/wolfadmin/commands/admin/showbans.lua Diff File
mod - luamods/wolfadmin/commands/admin/showhistory.lua Diff File
mod - luamods/wolfadmin/commands/admin/shuffle.lua Diff File
mod - luamods/wolfadmin/commands/admin/slap.lua Diff File
mod - luamods/wolfadmin/commands/admin/swap.lua Diff File
mod - luamods/wolfadmin/commands/admin/time.lua Diff File
mod - luamods/wolfadmin/commands/admin/unban.lua Diff File
mod - luamods/wolfadmin/commands/admin/unlock.lua Diff File
mod - luamods/wolfadmin/commands/admin/unmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/unpause.lua Diff File
mod - luamods/wolfadmin/commands/admin/warn.lua Diff File
mod - luamods/wolfadmin/commands/client/say.lua Diff File
mod - luamods/wolfadmin/commands/client/team.lua Diff File
mod - luamods/wolfadmin/commands/commands.lua Diff File
mod - luamods/wolfadmin/commands/server/acl.lua Diff File

WolfAdmin: develop/1.2.0 a5067afd

2017-02-01 17:35:34

Timo

Details Diff
Implemented kill and death spree in standalone mode (refs 0000061)

* messages can be disabled per-type through g_spreeMessages
* records can be disabled through g_spreeRecords
Affected Issues
0000061
mod - config/cvars.cfg Diff File
mod - luamods/wolfadmin/commands/admin/resetsprees.lua Diff File
mod - luamods/wolfadmin/commands/admin/sprees.lua Diff File
mod - luamods/wolfadmin/db/mysql.lua Diff File
mod - luamods/wolfadmin/db/sqlite3.lua Diff File
mod - luamods/wolfadmin/game/sprees.lua Diff File
mod - luamods/wolfadmin/util/constants.lua Diff File
mod - luamods/wolfadmin/util/events.lua Diff File
mod - luamods/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.2.0 a22859dd

2017-02-06 11:07:24

Timo

Details Diff
Added spree and PM sounds to the pk3 (refs 0000061) Affected Issues
0000061
add - pk3/sound/misc/pm.wav Diff File
add - pk3/sound/spree/dominating.wav Diff File
add - pk3/sound/spree/firstblood.wav Diff File
add - pk3/sound/spree/firstheadshot.wav Diff File
add - pk3/sound/spree/godlike.wav Diff File
add - pk3/sound/spree/headshot.wav Diff File
add - pk3/sound/spree/holyshit.wav Diff File
add - pk3/sound/spree/humiliation.wav Diff File
add - pk3/sound/spree/killingspree.wav Diff File
add - pk3/sound/spree/ludicrouskill.wav Diff File
add - pk3/sound/spree/megakill.wav Diff File
add - pk3/sound/spree/monsterkill.wav Diff File
add - pk3/sound/spree/multikill.wav Diff File
add - pk3/sound/spree/potter.wav Diff File
add - pk3/sound/spree/rampage.wav Diff File
add - pk3/sound/spree/ultrakill.wav Diff File

WolfAdmin: develop/1.2.0 2d2e64ea

2017-02-06 16:25:12

Timo

Details Diff
Added spree and PM sounds to the pk3 (refs 0000061) Affected Issues
0000061
add - pk3/sound/spree/unstoppable.wav Diff File
add - pk3/sound/spree/wickedsick.wav Diff File

WolfAdmin: develop/1.2.0 6a3459d9

2018-02-16 11:59:20

Timo

Details Diff
Fixed mutes being checked regardless of module mode (refs 0000061) Affected Issues
0000061
mod - luamods/wolfadmin/admin/admin.lua Diff File

WolfAdmin: develop/1.2.0 27986cbf

2018-02-16 12:49:00

Timo

Details Diff
Added autodetection of standalone mode (refs 0000061) Affected Issues
0000061
mod - config/wolfadmin.toml Diff File
mod - luamods/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.2.0 a2f7f1de

2019-01-03 11:15:22

Timo

Details Diff
Fixed OS and mode detection (refs 0000061, 0000074)

* fixed OS detection echoing errors to log when executables are not available
* OS detection makes use of Unix/Windows native functions rather than environment variables which can be modified
* fixed ability to override standalone mode
Affected Issues
0000061, 0000074
mod - luamods/wolfadmin/util/settings.lua Diff File

Issue History

Date Modified Username Field Change
2016-08-28 18:30 Timo New Issue
2016-08-28 18:31 Timo Relationship added parent of 0000055
2016-08-28 18:33 Timo Relationship added parent of 0000062
2016-08-29 22:54 Timo Assigned To => Timo
2016-08-29 22:54 Timo Status new => assigned
2017-01-12 18:31 Timo Relationship added child of 0000046
2017-01-13 18:57 Timo Relationship added parent of 0000069
2017-01-21 17:11 Timo Changeset attached => WolfAdmin develop 9fdd36e7
2017-02-01 17:36 Timo Changeset attached => WolfAdmin develop a5067afd
2017-02-06 11:07 Timo Changeset attached => WolfAdmin develop a22859dd
2017-02-06 16:25 Timo Changeset attached => WolfAdmin develop 2d2e64ea
2018-02-15 13:38 Timo Note Added: 0000113
2018-02-16 11:59 Timo Changeset attached => WolfAdmin develop/1.2.0 6a3459d9
2018-02-16 12:49 Timo Changeset attached => WolfAdmin develop/1.2.0 27986cbf
2018-12-31 11:18 Timo Status assigned => resolved
2018-12-31 11:18 Timo Resolution open => fixed
2018-12-31 11:18 Timo Fixed in Version => 1.2.0
2018-12-31 11:18 Timo Note Added: 0000115
2019-01-03 11:11 Timo Changeset attached => WolfAdmin develop/1.2.0 a2f7f1de